Package be.e_contract.ejsf.component.taginfo

# Enum Class TagInfoComponent.PropertyKeys

java.lang.Object
java.lang.Enum<TagInfoComponent.PropertyKeys>
be.e_contract.ejsf.component.taginfo.TagInfoComponent.PropertyKeys

All Implemented Interfaces:
  `Serializable`, `Comparable<TagInfoComponent.PropertyKeys>`, `java.lang.constant.Constable`

Enclosing class:
  TagInfoComponent

public static enum TagInfoComponent.PropertyKeys extends Enum<TagInfoComponent.PropertyKeys>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`actualNamespace`
`description`
`functions`
`tags`
`version`

## Method Summary

Modifier and Type
Method
Description
`static TagInfoComponent.PropertyKeys`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TagInfoComponent.PropertyKeys[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### actualNamespace

public static final TagInfoComponent.PropertyKeys actualNamespace

### description

public static final TagInfoComponent.PropertyKeys description

### version

public static final TagInfoComponent.PropertyKeys version

### tags

public static final TagInfoComponent.PropertyKeys tags

### functions

public static final TagInfoComponent.PropertyKeys functions

## Method Details

### values

public static TagInfoComponent.PropertyKeys[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static TagInfoComponent.PropertyKeys valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null